OcsdGenElemStack Class Reference

`#include <ocsd_gen_elem_stack.h>`

## Public Member Functions

| OcsdGenElemStack ()
| ~OcsdGenElemStack ()
void | initSendIf (componentAttachPt< ITrcGenElemIn > *pGenElemIf)
void | initCSID (const uint8_t CSID)
OcsdTraceElement & | getCurrElem ()
| get the current element. More...
ocsd_err_t | resetElemStack ()
| set pointers to base of stack More...
ocsd_err_t | addElem (const ocsd_trc_index_t trc_pkt_idx)
| add elem to stack and set current. More...
void | setCurrElemIdx (const ocsd_trc_index_t trc_pkt_idx)
| packet index for this element More...
ocsd_err_t | addElemType (const ocsd_trc_index_t trc_pkt_idx, ocsd_gen_trc_elem_t elem_type)
ocsd_datapath_resp_t | sendElements ()
| send elements on the stack More...
const int | numElemToSend () const

## Detailed Description

Definition at line 44 of file ocsd_gen_elem_stack.h.

## Constructor & Destructor Documentation

## OcsdGenElemStack()

OcsdGenElemStack::OcsdGenElemStack | ( |  | ) |

## ~OcsdGenElemStack()

OcsdGenElemStack::~OcsdGenElemStack | ( |  | ) |

## Member Function Documentation

## addElem()

ocsd_err_t OcsdGenElemStack::addElem | ( | const ocsd_trc_index_t | trc_pkt_idx | ) |

add elem to stack and set current.

## addElemType()

ocsd_err_t OcsdGenElemStack::addElemType | ( | const ocsd_trc_index_t | trc_pkt_idx,
|  | ocsd_gen_trc_elem_t | elem_type
| ) |  |

## getCurrElem()

OcsdTraceElement & OcsdGenElemStack::getCurrElem | ( |  | ) |

inline

get the current element.

Definition at line 103 of file ocsd_gen_elem_stack.h.

## initCSID()

void OcsdGenElemStack::initCSID | ( | const uint8_t | CSID | ) |

inline

Definition at line 51 of file ocsd_gen_elem_stack.h.

## initSendIf()

void OcsdGenElemStack::initSendIf | ( | componentAttachPt< ITrcGenElemIn > * | pGenElemIf | ) |

inline

Definition at line 93 of file ocsd_gen_elem_stack.h.

## numElemToSend()

const int OcsdGenElemStack::numElemToSend | ( |  | ) | const

inline

Definition at line 88 of file ocsd_gen_elem_stack.h.

## resetElemStack()

ocsd_err_t OcsdGenElemStack::resetElemStack | ( |  | ) |

set pointers to base of stack

## sendElements()

ocsd_datapath_resp_t OcsdGenElemStack::sendElements | ( |  | ) |

send elements on the stack

## setCurrElemIdx()

void OcsdGenElemStack::setCurrElemIdx | ( | const ocsd_trc_index_t | trc_pkt_idx | ) |

inline

packet index for this element

Definition at line 98 of file ocsd_gen_elem_stack.h.

The documentation for this class was generated from the following file:

- /build/libopencsd-nipXOR/libopencsd-1.2.0/decoder/include/common/ocsd_gen_elem_stack.h